#!/bin/sh

mem=$(($(sed -n '/^MemTotal:/ s/[^0-9]//pg' /proc/meminfo)*2*2))
root=$((4*1024*1024*2))
var=$((2*1024*1024*2))

cat >/var/cache/alterator/vm-profile.scm <<_EOF_
((server
  (title . "Setup for server")
  (action . trivial)
  (actiondata  ("swap" (size . $mem) (fsim . "SWAPFS") (methods raid plain))
               ("/" (size . $root ) (fsim . "Ext2/3") (methods raid plain))
               ("/var" (size $var . #t) (fsim . "XFS") (methods raid plain))
  )
 )
)
_EOF_

